package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.EducationalPortrait;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSEducationalPortraitService {
    ResultState doEdit(EducationalPortrait inputModel);

    EducationalPortrait edit(long id);

    ResultState add(EducationalPortrait inputModel);

    ResultState<Long> delete(long id);

    long queryCount(BaseExample.Page pager);

    List<EducationalPortrait> queryList(BaseExample.Page pager);
}
